import { getAction } from '@/api/manage'

const approval = {
  state: {
    approvalCount: 0, // 待我审批数量
  },
  mutations: {
    SET_APPROVAL_COUNT: (state, count) => {
      state.approvalCount = count
    },
  },
  actions: {
    async updateApprovalStat({ commit }, record) {
      try {
        const res = await getAction('/audit/pendingApprovalCount')
        console.log('res-----',res)
        if(res.code===200){
          commit('SET_APPROVAL_COUNT',res.data)
        }
      } catch (error) {
        
      }
    },
  },
}
export default approval
