const table = {
  taskColumns: [
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      width: 100,
      scopedSlots: { customRender: 'action' },
    },
    {
      title: '盘点任务编号',
      dataIndex: 'number',
      align: 'left',
    },
    {
      title: '盘点任务名称',
      dataIndex: 'taskName',
      align: 'left',
    },
    {
      title: '盘点类型',
      dataIndex: 'taskType',
      align: 'left',
      scopedSlots: { customRender: 'taskType' },
    },
    {
      title: '盘点仓库',
      dataIndex: 'depotName',
      align: 'left',
    },
    {
      title: '商品数量',
      dataIndex: 'materialCount',
      align: 'left',
    },
    {
      title: '盘点库位范围',
      dataIndex: 'positionRange',
      align: 'left',
    },
    {
      title: '创建人',
      dataIndex: 'createByName',
      align: 'left',
    },
    {
      title: '创建时间',
      dataIndex: 'createTime',
      align: 'left',
    },
    {
      title: '盘点负责人',
      dataIndex: 'creatorName',
      align: 'left',
    },
    {
      title: '盘点状态',
      dataIndex: 'taskStatus',
      align: 'left',
      scopedSlots: { customRender: 'taskStatus' },
    },
    {
      title: '完成时间',
      dataIndex: 'operTime',
      align: 'left',
    },
  ],
  goodsColums: [
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      width: 90,
      scopedSlots: { customRender: 'action' },
    },
    { dataIndex: 'batchNumber', title: '批次号' },
    { dataIndex: 'materialName', title: '商品名称', scopedSlots: { customRender: 'customName' } },
    { dataIndex: 'categoryName', title: '类别' },
    { dataIndex: 'standard', title: '规格' },
    { dataIndex: 'model', title: '型号' },
    { dataIndex: 'color', title: '颜色' },
    { dataIndex: 'brand', title: '品牌' },
    { dataIndex: 'supplierName', title: '供应商' },
    { dataIndex: 'commodityUnit', title: '单位' },
    { dataIndex: 'inventory', title: '库存', scopedSlots: { customRender: 'inventory' } },
    { dataIndex: 'productionDate', title: '生产日期' },
    { dataIndex: 'expiryNum', title: '保质期' },
    { dataIndex: 'sku', title: 'SKU' },
    { dataIndex: 'depotName', title: '仓库名称' },
    { dataIndex: 'position', title: '仓库货架' },
  ],
  checkGoodsColumns: [
    { dataIndex: 'categoryName', title: '商品类别' },
    { dataIndex: 'materialName', title: '商品名称' },
    { dataIndex: 'systemSpu', title: '系统SPU' },
    { dataIndex: 'batchNumber', title: '批次号' },
    { dataIndex: 'commodityUnit', title: '单位' },
    { dataIndex: 'productionDate', title: '生产日期' },
    { dataIndex: 'supplierName', title: '供应商' },
    { dataIndex: 'sku', title: 'SKU' },
    { dataIndex: 'inventory', title: '库存(最小单位)', scopedSlots: { customRender: 'inventory' } },
    { dataIndex: 'depotName', title: '仓库名称' },
    { dataIndex: 'position', title: '仓库货架' },
    { dataIndex: 'newInventory', title: '实际库存' },
    { dataIndex: 'newPosition', title: '实际仓位货架' },
    { dataIndex: 'differenceCount', title: '差异数量' },
    { dataIndex: 'differenceReason', title: '差异原因' },
    {
      title: '操作',
      dataIndex: 'action',
      align: 'center',
      width: 90,
      scopedSlots: { customRender: 'action' },
    },
  ],
}

export default table
