
export const approvalMixin = {
  methods:{
    goApproval(record,approvalIsReadonly){
      console.log('record===',record)
      const target = this.flowTypes.find(item => item.value===record.type)
      switch (record.type) {
        case '销售订单':
        case '销售出库':
        case '其它入库':
        case '其它出库':
        case '采购订单':
        case '采购入库':
          this.$refs.modalDetail.show({number: record.number}, record.type, target.prefixNo, record)
          this.$refs.modalDetail.approvalIsReadonly = approvalIsReadonly
          if(approvalIsReadonly){
            this.$refs.modalDetail.title = record.type + '-审核详情'
          }else{
            this.$refs.modalDetail.title = record.type + '-去审核'
          }
          break;
        case '盘点任务':
          this.$refs.InventoryCheckModal.lookDetail(record.number,record)
          this.$refs.InventoryCheckModal.approvalIsReadonly = approvalIsReadonly
          if(approvalIsReadonly){
            this.$refs.InventoryCheckModal.title = record.type + '-审核详情'
          }else{
            this.$refs.InventoryCheckModal.title = record.type + '-去审核'
          }
          break
        case 'pda维护商品':
          this.$refs.PdaFlowModal.lookDetail(record.number,record)
          this.$refs.PdaFlowModal.approvalIsReadonly = approvalIsReadonly
          if(approvalIsReadonly){
            this.$refs.PdaFlowModal.title = record.type + '-审核详情'
          }else{
            this.$refs.PdaFlowModal.title = record.type + '-去审核'
          }
          break
        default:
          break;
      }

    },
  }
}