package com.jsh.erp.datasource.vo;

import com.jsh.erp.datasource.entities.TaskStocktaking;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 盘点任务
 */
@Data
@Accessors(chain = true)
public class TaskStocktakingVO extends TaskStocktaking {

    @ApiModelProperty(value = "负责人名称")
    private String creatorName;

    @ApiModelProperty("创建人名称")
    private String createByName;

    @ApiModelProperty("盘点人名称")
    private String operByName;

    @ApiModelProperty("仓库名称")
    private String depotName;

    @ApiModelProperty("完成操作次数")
    private Long finishCount;

    @ApiModelProperty("商品总数量")
    private Long itemCount;

    @ApiModelProperty("差异率")
    private double differenceRate;

    @ApiModelProperty("准确率")
    private double accuracyRate;

    @ApiModelProperty("盘点人操作人数")
    private Long operCount;

}
