package com.jsh.erp.datasource.dto;

import com.jsh.erp.datasource.entities.AuditNodeConfig;
import com.jsh.erp.datasource.entities.AuditProcess;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 审核流程信息
 */
@Data
public class AuditProcessDTO extends AuditProcess{

    @ApiModelProperty("审核节点集合")
    private List<AuditNodeConfig> auditNodes;

}
