package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 审核节点配置
 */
@Data
public class AuditNodeConfig {

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("流程ID")
    private Long processId;

    @ApiModelProperty("节点名称")
    private String name;

    @ApiModelProperty("节点顺序")
    private int nodeOrder;

    @ApiModelProperty("审批人类型(1:指定用户 2:上级部门最高领导审核 3:部门最高领导审核)")
    private Integer auditorType;

    @ApiModelProperty("审批人")
    private Long auditor;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("删除标记，0.未删除，1.已删除")
    private Boolean deleteFlag;

}
