package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.entities.AuditNodeConfig;
import com.jsh.erp.datasource.vo.AuditNodeConfigVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AuditNodeConfigMapper extends BaseMapperX<AuditNodeConfig> {

    List<AuditNodeConfigVo> listByProcessId(Long processId);

    int updateBatchById(List<AuditNodeConfig> list);

    /**
     * 根据审核id和顺序查询审核节点流程配置
     */
    AuditNodeConfig getAuditNodeConfigByAuditIdAndOrder(@Param("id") Long id,
                                                        @Param("order") int order);


}
