package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.entities.MaterialCurrentStock;
import com.jsh.erp.datasource.entities.MaterialInitialStock;
import com.jsh.erp.datasource.entities.MaterialInitialStockExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MaterialInitialStockMapperEx {

    int batchInsert(List<MaterialInitialStock> list);

    //根据商品id集合获取商品初始库存集合
    List<MaterialInitialStock> getInitialStockMapByIdList(
            @Param("materialIdList") List<Long> materialIdList);

    List<MaterialInitialStock> getListExceptZero();

    void batchDeleteByDepots(@Param("ids") String ids[]);
}