package com.jsh.erp.datasource.vo;

import com.jsh.erp.datasource.entities.Material;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品及拓展信息
 */
@Data
public class MaterialAndExtendVo extends Material {

    @ApiModelProperty("sku")
    private String sku;

    @ApiModelProperty("类型名称")
    private String categoryName;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("颜色")
    private String color;

    @ApiModelProperty("品牌")
    private String brand;

    @ApiModelProperty("单位")
    private String commodityUnit;

    @ApiModelProperty("库存")
    private BigDecimal stock;

}
